******************************************************************;
*********************Chapter0. Introduction***********************;
******************************************************************;
*The default method to read data into SAS system is through data step;
*The drawback of it is that it can not read the header information;
*from external data file, so you have to specify the variable names; 
******************************************************************;
*Although it is just for clearing graphical settings, the reset=all;
*option is always recommended when you write SAS scripts;
******************************************************************;
goptions reset=all;
data htwt;
  infile "c:/My Documents/alr3/htwt.txt" delimiter="" firstobs=2;
  input Ht Wt;

******************************************************************;
*Alternatively, we can load the data into SAS using the code below;
*This proc import is a procedure inside SAS that can be used to;
*read data into the system without specifying variable names, since;
*the statement 'getnames=yes' does the job for you;
*Reminder: if you are running SAS on a UNIX system and you try to; 
*open a .txt file created on windows PC, then you may need to remove; 
*carriage return codes <CR> from the end of lines. You can do this; 
*easily by bringing the .txt file into an editor such as NEDIT and; 
*globally replacing <CR> with a space. However, if you are using a; 
*windows PC, everything should be ok; the option dbms=dlm specifies; 
*that the data file to be read in is a 'delimited' text file, and; 
*the replace option tell SAS to ignore existing data set called; 
*'htwt', if any;
******************************************************************;
proc import datafile="c:/My Documents/alr3/htwt.txt" out=htwt 
dbms=dlm replace;
  delimiter=''; getnames=yes; 
run;

******************************************************************;
*The useful proc print procedure which prints the data for you;
******************************************************************;
proc print data=htwt; run;


